AsterNet Class Library (Sandcastle documentation)

| ResponseEventHandler Constructor

Creates a new instance.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ResponseEventHandler(
    	ManagerConnection connection,
    	ManagerActionEvent action,
    	AutoResetEvent autoEvent
    )

    Public Sub New (
    	connection As ManagerConnection,
    	action As ManagerActionEvent,
    	autoEvent As AutoResetEvent
    )

    public:
    ResponseEventHandler(
    	ManagerConnection^ connection,
    	ManagerActionEvent^ action,
    	AutoResetEvent^ autoEvent
    )

    new :
            connection : ManagerConnection *
            action : ManagerActionEvent *
            autoEvent : AutoResetEvent -> ResponseEventHandler

#### Parameters

connection
  Type: AsterNET.Manager
  ManagerConnection

  [Missing <param name="connection"/> documentation for "M:AsterNET.Manager.ResponseEventHandler.#ctor(AsterNET.Manager.ManagerConnection,AsterNET.Manager.Action.ManagerActionEvent,System.Threading.AutoResetEvent)"]

action
  Type: AsterNET.Manager.Action
  ManagerActionEvent

  [Missing <param name="action"/> documentation for "M:AsterNET.Manager.ResponseEventHandler.#ctor(AsterNET.Manager.ManagerConnection,AsterNET.Manager.Action.ManagerActionEvent,System.Threading.AutoResetEvent)"]

autoEvent
  Type: System.Threading
  AutoResetEvent

  [Missing <param name="autoEvent"/> documentation for "M:AsterNET.Manager.ResponseEventHandler.#ctor(AsterNET.Manager.ManagerConnection,AsterNET.Manager.Action.ManagerActionEvent,System.Threading.AutoResetEvent)"]

See Also

#### Reference

ResponseEventHandler Class
AsterNET.Manager Namespace